Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.bcpg
Class BCPGObject

    java.lang.Object
      org.bouncycastle.bcpg.BCPGObject

Direct Known Subclasses:
  DSAPublicBCPGKey, DSASecretBCPGKey, ElGamalPublicBCPGKey, ElGamalSecretBCPGKey, MPInteger, RSAPublicBCPGKey, RSASecretBCPGKey, S2K

    public abstract class BCPGObject

extends java.lang.Object

base class for a PGP object.

Constructor Summary
`BCPGObject()`

Method Summary
`abstract void` | `encode(BCPGOutputStream out)`
`byte[]` | `getEncoded()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BCPGObject

    public BCPGObject()

Method Detail

### getEncoded

    public byte[] getEncoded()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### encode

    public abstract void encode(BCPGOutputStream out)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD